
In get-egg line 15:
  a() { declare r=__enpty lowercase readarg ; declare -A a=( ${@:2@Q} )
                                                             ^------^ SC2190 (warning): Elements in associative arrays need index, e.g. array=( [index]=value ) .
                                                             ^------^ SC2206 (warning): Quote to prevent word splitting/globbing, or split robustly with mapfile or read -a.


In get-egg line 16:
 until [[ -v a[\${r:-__emoty}] ]] ; do
                 ^-- SC1083 (warning): This { is literal. Check expression (missing ;/\n?) or quote it.
                            ^-- SC1083 (warning): This } is literal. Check expression (missing ;/\n?) or quote it.


In get-egg line 26:
"already existing sav dir , $dest , what to do ?
^-- SC2289 (error): This is interpreted as a command name containing a linefeed. Double check syntax.


In get-egg line 33:
2 'mv -v "$dest"{,${SRANDOM:-$RANDOM$RANDOM}} \
  ^-- SC1078 (warning): Did you forget to close this single quoted string?
  ^-- SC2016 (info): Expressions don't expand in single quotes, use double quotes for that.


In get-egg line 34:
3 'rm -vrf "$dest"' \
  ^-- SC1079 (info): This is actually an end quote, but due to next char it looks suspect.
   ^-- SC2026 (info): This word is outside of quotes. Did you intend to 'nest '"'single quotes'"' instead'? 
                  ^-- SC1078 (warning): Did you forget to close this single quoted string?


In get-egg line 35:
4 'exit 0'
  ^-- SC1079 (info): This is actually an end quote, but due to next char it looks suspect.
   ^--^ SC2026 (info): This word is outside of quotes. Did you intend to 'nest '"'single quotes'"' instead'? 
         ^-- SC2016 (info): Expressions don't expand in single quotes, use double quotes for that.


In get-egg line 54:
printf 'warning.. no conf to mod found , will begin empty , %s\n' "${file:=eggdrop-new.conf}"
                                                              ^-- SC1012 (warning): \n is just literal 'n' here. For line feed, use a quoted, literal line feed instead.
                                                                ^-- SC1078 (warning): Did you forget to close this single quoted string?
                                                                ^-- SC2016 (info): Expressions don't expand in single quotes, use double quotes for that.


In get-egg line 67:
username q 'the username of the bot to the irc network' "$USER" \
           ^-- SC1079 (info): This is actually an end quote, but due to next char it looks suspect.
            ^-^ SC2026 (info): This word is outside of quotes. Did you intend to 'nest '"'single quotes'"' instead'? 
                                                      ^-- SC1078 (warning): Did you forget to close this single quoted string?
                                                      ^-- SC2016 (info): Expressions don't expand in single quotes, use double quotes for that.


In get-egg line 70:
altnick q 'alternative nick' "noone${SRANDOM:-$RANDOM}" \
          ^-- SC1079 (info): This is actually an end quote, but due to next char it looks suspect.
           ^---------^ SC2026 (info): This word is outside of quotes. Did you intend to 'nest '"'single quotes'"' instead'? 
                           ^-- SC1078 (warning): Did you forget to close this single quoted string?
                           ^-- SC2016 (info): Expressions don't expand in single quotes, use double quotes for that.


In get-egg line 71:
realname q realname 'realnoone by #CafeChat' \
                    ^-- SC1079 (info): This is actually an end quote, but due to next char it looks suspect.
                     ^-------^ SC2026 (info): This word is outside of quotes. Did you intend to 'nest '"'single quotes'"' instead'? 


In get-egg line 88:
read -rep "$v - ${var[$v]} + [ ${def[$v]} ] > " r
                ^--------^ SC2154 (warning): var is referenced but not assigned.
                               ^--------^ SC2154 (warning): def is referenced but not assigned.


In get-egg line 90:
conf+=( "$v" "${def[$r]}" ) ||
        ^--^ SC2190 (warning): Elements in associative arrays need index, e.g. array=( [index]=value ) .
             ^----------^ SC2190 (warning): Elements in associative arrays need index, e.g. array=( [index]=value ) .


In get-egg line 91:
conf+=( "$v" "$r" )
        ^--^ SC2190 (warning): Elements in associative arrays need index, e.g. array=( [index]=value ) .
             ^--^ SC2190 (warning): Elements in associative arrays need index, e.g. array=( [index]=value ) .


In get-egg line 95:
ta "${order[@]}"
    ^---------^ SC2154 (warning): order is referenced but not assigned.

For more information:
  https://www.shellcheck.net/wiki/SC2289 -- This is interpreted as a command ...
  https://www.shellcheck.net/wiki/SC1012 -- \n is just literal 'n' here. For ...
  https://www.shellcheck.net/wiki/SC1078 -- Did you forget to close this sing...
